
.visitedlist-container {
    position: relative;
    padding: 20px;
    padding-top: 0px;
}


.visitedlist-container a {
    color: black;
    text-decoration: none;
    width: 100%;
    height: 100%;
    display: block;
}

.visitediteminside h5 {
margin: 5px 0px 7px;
font-size: 12px;
}

.visitedlist {
    width: 100%;
    height: max-content;
    display: flex;
    overflow-x: auto;
    overflow-y: hidden;
    scroll-behavior: smooth;
    padding-top: 10px;
    scrollbar-color: #888 #f1f1f1;
}

.visiteditem {
    width: 250px;
    height: 300px;
    background-color: rgb(241, 241, 241);
    border-radius: 7px;
    margin-right: 10px;
    margin-bottom: 10px;
    flex: 0 0 auto;
}

/*
.visiteditem::after {
    content: "View listing";
    display: block;
    position: relative;
    z-index: 6;
    width: 100%;
    background-image: linear-gradient(to bottom, rgba(255, 0, 0, 0), rgba(139, 128, 214, 0.467));
    border-radius: 3px;
    white-space: nowrap;
    text-align: center;
    height: 40px;
    font-size: 15px;
    margin-top: -20px;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.2s ease-in-out;
    pointer-events: none;
}

.visiteditem:hover::after {
    opacity: 1;
}
*/

.listing-image {
    width: 100%;
    height: 160px;
    object-fit: cover;
    border-radius: 5px;
}

.visitediteminside {
    padding: 10px;
}

.visitediteminside h3 {
    margin: 0 auto;
    margin-top: 5px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 20px;
}

.visitediteminside h4 {
    margin: 0 auto;
    margin-top: 5px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: green;
    font-size: 17px;
}

.visitediteminside p {
    margin: 0 auto;
    margin-top: 6px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    height: 35px;
    font-size: 14px;
}

.scroll-button {
    background: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 1;
    border-radius: 100%;
    height: 40px;
    width: 40px;
    margin: 0 10px;
}

.scroll-button span{
    font-size: 20px;
    margin: 0;
}

@media (max-width: 600px) {
    .visiteditem {
        width: 100%;
    }
}

.buttonsarea{
    display: flex;
    align-items: center;
    justify-content: center;
}

.welcomebanner{
    height: 200px;
    background-color: blue;
    color: white;
    overflow: hidden;
    background: linear-gradient(135deg, #4f46e480 50%, transparent 0),linear-gradient(-135deg, #4f46e480 50%, transparent 0);
    background-size: 3em 3em;
    background-color: #604bff;
    opacity: 1;
    min-height: 200px;
}


.welcomecontent{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.welcomestuff{
    width: 100%;
    max-width: 800px;
    height: max-content;
    padding: 30px;
}

.welcomestuff h1{
    font-size: 40px;
    margin: 0;
}

.animatepls{
    animation: welcome 0.3s forwards ease-out;
    opacity: 0;
}

@keyframes welcome {
    from{
        opacity: 0;
        transform: translateX(-20px);
    }
    to{
        opacity: 1;
        
    }
}

.welcomeuser{
    color: cyan;
}

.titlecard{
    display: flex;
    padding: 5px 20px;
}

.titleicon{
    display: flex;
    align-items: center;
    justify-content: center;
}

.titleicon span{
    font-size: 25px;
}

.titletext{
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 7px;
    font-size: 17px;
}

.selleroptions{
    padding: 5px 20px 40px;
}

.selleroptions a{
    color: rgb(70, 134, 255);
    margin-right: 5px;
}

.extraoptions{
    display: flex;
}

.extradetails{
    flex: 0.5;
}

.nolisting{
    text-align: center;
    width: 100%;
    display: none;
}

.nolisting p{
    margin: 0;
    margin-bottom: 5px;
    color: gray;
}

.nolisting a{
    margin: 0;
    margin-bottom: 5px;
    color: rgb(70, 134, 255);
    text-decoration: underline;
}